#include "CivPumpHelper.h"
#include "CivPgDbConnection.h"

CivPumpHelper::CivPumpHelper(const string& uri)
{
	mConn = new CivPgDbConnection();
	mConn->connect(uri);
}

CivPumpHelper::~CivPumpHelper()
{
	mConn->disconnect();
	delete mConn;
}

void CivPumpHelper::getMap(const string& key, const string& val, map<string, string>& res)
{
	vector<map<string, string>> vecMap;
	if (!mConn->query(mTable, { key ,val }, vecMap))
		return;

	if (vecMap.size() <= 0)
		return;

	size_t total = vecMap.size();
	for (int i = 0; i < total; i++)
	{
		map<string, string> tempMap = vecMap[i];

		string keyVal = tempMap.find(key)->second;
		string valVal = tempMap.find(val)->second;

		res.insert(pair<string, string>(keyVal, valVal));
	}
}